<template name="installDevice">
    {{#requireAuthentication}}
        <div id="install-device-page" class="container">
            <div class="well {{wellSize}}">
                <h1>Device Installation</h1>
                {{>Template.dynamic template='errorViewer' data=error}}

                {{#if equals currentStep 1}}
                    <p>Search for the device that you want to install.</p>
                    <div class="form-group label-floating">
                        <input type="text" class="form-control search-box" placeholder="Search..." />
                    </div>
                    {{#if searchResult}}
                        <div class="list-group">
                            {{#each searchResult.devices}}
                            <div class="list-group-item">
                                <div class="row-content">
                                    <div class="action-secondary">
                                        <a href="javascript:void(0)" class="btn btn-raised btn-primary select-device btn-continue">Install<div class="ripple-container"></div></a>
                                    </div>
                                    <h4 class="list-group-item-heading">{{name}} <span class="version">({{version}})</span></h4>
                                    <p class="list-group-item-text">{{description}}</p>
                                </div>
                            </div>
                            <div class="list-group-separator"></div>
                            {{/each}}
                        </div>
                    {{/if}}
                {{/if}}
                {{#if equals currentStep 2}}
                    <p>Enter a name for your new device.</p>
                    <div class="options">
                        <div class="form-group label-floating">
                            <input type="text" class="form-control device-name" value="{{device.name}}" placeholder="Device Name"/>
                        </div>
                        <div>
                            <button type="button" class="btn btn-default btn-cancel">Cancel<div class="ripple-container"></div></button>
                            <button type="button" class="btn btn-primary btn-continue">Continue<div class="ripple-container"></div></button>
                        </div>
                    </div>
                {{/if}}
                {{#if equals currentStep 3}}
                    <p>Select the control unit that you want to install the device onto.</p>
                    <div class="badge-viewer">
                        {{#each controlUnits}}
                            <div class="custom-badge select-control-unit btn-continue">
                                <div class="name-badge">
                                    <span>
                                        <span>{{name}}</span>
                                    </span>
                                    <div class="controls">
                                        <div class="info fa fa-info-circle"></div>
                                    </div>
                                </div>
                                <div class="image-holder">
                                    <div class="image fa fa-server"></div> <!-- fa-check-circle-o confirmed -->
                                </div>
                            </div>
                        {{/each}}
                    </div>
                {{/if}}
                {{#if equals currentStep 4}}
                    <div class="confirmation">
                        <p>Are you sure you want to install <b>{{device.name}}</b> on <b>{{controlUnit.name}}</b>?</p>
                        <div>
                            <button type="submit" class="btn btn-default btn-cancel">Cancel<div class="ripple-container"></div></button>
                            <button type="submit" class="btn btn-primary btn-continue install">Install<div class="ripple-container"></div></button>
                        </div>
                    </div>
                {{/if}}
                {{#if equals currentStep 5}}
                    {{#if installed}}
                        <div class="installed">
                            <i class="fa fa-check-circle-o" aria-hidden="true"></i>
                            <p>Successfully installed <b>{{device.name}}</b> device.</p>
                            <div class="line-seperator"></div>
                            <div>
                                <a href="{{pathFor 'installHome'}}">
                                    <button type="submit" class="btn btn-primary">Continue<div class="ripple-container"></div></button>
                                </a>
                            </div>
                        </div>
                    {{else}}
                        <p>Waiting for the device to be installed.</p>
                        <div class="spinner-wrapper">
                            <svg class="spinner" width="65px" height="65px" viewBox="0 0 66 66" xmlns="http://www.w3.org/2000/svg">
                               <circle class="path" fill="none" stroke-width="6" stroke-linecap="round" cx="33" cy="33" r="30"></circle>
                            </svg>
                        </div>
                    {{/if}}
                {{/if}}
            </div>
        </div>
    {{/requireAuthentication}}
</template>
